diff -Naur a/src/ndo2db.c b/src/ndo2db.c
--- a/src/ndo2db.c	2009-08-12 23:19:38.000000000 +0200
+++ b/src/ndo2db.c	2009-08-24 15:53:15.000000000 +0200
@@ -122,6 +122,15 @@
 		exit(1);
 	        }
 
+	/* initialize variables */
+	ndo2db_initialize_variables();
+
+	/* process config file */
+	if(ndo2db_process_config_file(ndo2db_config_file)!=NDO_OK){
+		printf("Error processing config file '%s'.\n",ndo2db_config_file);
+		exit(1);
+	        }
+
 #ifdef HAVE_SSL
         /* initialize SSL */
         if(use_ssl==NDO_TRUE){
@@ -170,15 +179,6 @@
         /*Fin Hack SSL*/
 #endif
 
-	/* initialize variables */
-	ndo2db_initialize_variables();
-
-	/* process config file */
-	if(ndo2db_process_config_file(ndo2db_config_file)!=NDO_OK){
-		printf("Error processing config file '%s'.\n",ndo2db_config_file);
-		exit(1);
-	        }
-
 	/* make sure we're good to go */
 	if(ndo2db_check_init_reqs()!=NDO_OK){
 		printf("One or more required parameters is missing or incorrect.\n");
